# Upload remote execution source

Upload the source code for the remote execution.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/workspaces/{workspace}/remote-executions/{id}/upload
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "o"

  - `project` (string, required)
    Project is the project identifier.
    Example: "yqi"

  - `workspace` (string, required)
    Workspace is the resource workspace this variable is associated with.
    Example: "Omnis quis consequatur."

  - `id` (string, required)
    The ID of the remote execution
    Example: "6bfdd8c3-6229-4f3f-beff-405ea85f5cc0"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "n6"

  - `Content-Length` (integer)
    Size in bytes of the source code.
    Example: 8607843619719162000

  - `Content-Digest` (string, required)
    Content-Digest header as defined in https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Content-Digest. Sha256 is the only supported algorithm.
    Example: "Dolores eaque libero quo."

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "hr"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 7953420217730399000

  - `custom_arguments` (object)
    The arguments supplied to the plan.
    Example: {"Explicabo similique distinctio earum.":["Eius doloribus quis deserunt aut fugiat consequatur.","Aliquid eligendi.","Officiis unde illum."]}

  - `executed` (boolean, required)
    The boolean value indicating if the remote execution has been executed.
    Example: true

  - `id` (string, required)
    The ID of the remote execution.
    Example: "7eb8b421-7a6a-4c66-b603-13d64420d953"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "36"

  - `pipeline_execution_id` (string, required)
    The pipeline execution ID of the pipeline executing the remote execution
    Example: "Est non et ullam ut aut."

  - `pipeline_execution_url` (string, required)
    The pipeline execution URL of the pipeline executing the remote execution
    Example: "Voluptas omnis omnis et et maxime."

  - `project` (string, required)
    Project is the project identifier.
    Example: "d"

  - `sha256_checksum` (string, required)
    The checksum of the patch file of changes that the remote execution will run against.
    Example: "Cum mollitia consectetur corrupti sint architecto."

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 7922260150188735000

  - `workspace` (string, required)
    The workspace associated with the remote execution.
    Example: "Animi nisi et consectetur voluptate rerum."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


